Player Item Management - Get Purchase
NOTE: This is a Legacy Economy API, and is in bugfix-only mode. All new Economy features are being developed only for version 2. Retrieves a purchase along with its current PlayFab status. Returns inventory items from the purchase that are still active.
POST https://titleId.playfabapi.com/Client/GetPurchase
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| X-Authorization | True |
string |
This API requires a client session ticket, available from any Client Login function. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| OrderId | True |
string |
Purchase order identifier. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | ||
| 400 Bad Request |
This is the outer wrapper for all responses with errors |
Security
X-Authorization
This API requires a client session ticket, available from any Client Login function.
Type:
apiKey
In:
header
Definitions
| Name | Description |
|---|---|
|
Api |
The basic wrapper around every failed API response |
|
Get |
|
|
Get |
ApiErrorWrapper
The basic wrapper around every failed API response
| Name | Type | Description |
|---|---|---|
| code |
integer |
Numerical HTTP code |
| error |
string |
Playfab error code |
| errorCode |
integer |
Numerical PlayFab error code |
| errorDetails |
object |
Detailed description of individual issues with the request object |
| errorMessage |
string |
Description for the PlayFab errorCode |
| status |
string |
String HTTP code |
GetPurchaseRequest
| Name | Type | Description |
|---|---|---|
| OrderId |
string |
Purchase order identifier. |
GetPurchaseResult
| Name | Type | Description |
|---|---|---|
| OrderId |
string |
Purchase order identifier. |
| PaymentProvider |
string |
Payment provider used for transaction (If not VC) |
| PurchaseDate |
string |
Date and time of the purchase. |
| TransactionId |
string |
Provider transaction ID (If not VC) |
| TransactionStatus |
string |
PlayFab transaction status |
Error Codes
| Name | Code |
|---|---|
| ProductDisabledForTitle | 1609 |
| PurchaseDoesNotExist | 1080 |